Page MenuHomePhabricator

Allow to switch between different render editors / allow multiple render editors
Closed, ResolvedPublic

Description

Currently there is only a button to open the CustomMultiWidgetEditor. The StdMultiWidgetEditor can not be opened by a simple button click.
Furthermore it is currently not possible to have both editors open at the same time.

Event Timeline

kalali triaged this task as Normal priority.May 9 2018, 4:48 PM
kalali created this task.
kalali renamed this task from Allow to change between different render editors / allow multiple render editors to Allow to switch between different render editors / allow multiple render editors.May 9 2018, 4:57 PM
kalali removed kalali as the assignee of this task.May 22 2018, 11:10 AM
kalali added a comment.EditedOct 25 2018, 2:00 PM

Who is responsible for

  • opening the std multi widget on startup
    • custom multi widget was not recognized (can be set as default)
  • opening the std multi widget if no render window part is opened and a node was added / reinitialized etc.
    • custom multi widget was not recognized (can be set as default)
  • why does opening the custom multi widget editor invoke opening the active multi widget, which is the std multi widget
    • when opening a new editor via the action button in the workbench, the flag MATCH_ID must be used as a match strategy. Default value is MATCH_INPUT which causes the editor manager to load the editor that is currently active, regardless of the editor ID.
kalali added a comment.EditedOct 25 2018, 3:26 PM

Switching (and simultaneously opening) two multi widget editors is now possible.

The custom multi widget editor is now recognized and can be set a default. Currently std multi widget editor is set as default (standard behavior).

kalali closed this task as Resolved.Oct 26 2018, 10:22 AM
kalali claimed this task.